# 9. Mutācija: ģenerēt "Zonu karti" asinhroni

Ģenerēt "ZonesMap" priekš "Field" **asinhroni**.

{% hint style="info" %}
Asinhronā pieeja liek uzdevumu (Ģenerēt `generateVectorAnalysisMap`) apstrādāt, un Abonements tiks saņemts, tiklīdz apstrāde būs pabeigta.
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutācija GenerateZonesMapAsync {
  generateVectorAnalysisMapAsync(input: {
    fieldUuid: "<placeholder_of_field_uuid>"
    satelliteImageUuids: [
      "<placeholder_of_satelliteimage_uuid_1>",
      "<placeholder_of_satelliteimage_uuid_2>",
      "<placeholder_of_satelliteimage_uuid_3>"
    ]
    indekss: NDVI
    zonuSkaits :7
    nosaukums: "3 Gadi 2017-2019 (API)"
  }) {    
    uuid 
    fieldUuid
    statusaKods  
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/lva/api-dokumentacija/geopard-api-pieprasijumu-parskats/9.-mutacija-generet-zonu-karti-asinhroni.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
